# Class JMeterTreeTransferHandler

java.lang.Object
javax.swing.TransferHandler
org.apache.jmeter.gui.tree.JMeterTreeTransferHandler

All Implemented Interfaces:
  `Serializable`

public class JMeterTreeTransferHandler extends TransferHandler

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class TransferHandler

`TransferHandler.DropLocation, TransferHandler.TransferSupport`

## Field Summary

### Fields inherited from class TransferHandler

`COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

## Constructor Summary

Constructors
Constructor
Description
`JMeterTreeTransferHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canImport(TransferHandler.TransferSupport support)`
`protected Transferable`
`createTransferable(JComponent c)`
`protected void`
`exportDone(JComponent source, Transferable data, int action)`
`int`
`getSourceActions(JComponent c)`
`boolean`
`importData(TransferHandler.TransferSupport support)`

### Methods inherited from class TransferHandler

`canImport, exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getDragImage, getDragImageOffset, getPasteAction, getVisualRepresentation, importData, setDragImage, setDragImageOffset`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JMeterTreeTransferHandler

public JMeterTreeTransferHandler()

## Method Details

### getSourceActions

public int getSourceActions(JComponent c)

Overrides:
  `getSourceActions` in class `TransferHandler`

### createTransferable

protected Transferable createTransferable(JComponent c)

Overrides:
  `createTransferable` in class `TransferHandler`

### exportDone

protected void exportDone(JComponent source, Transferable data, int action)

Overrides:
  `exportDone` in class `TransferHandler`

### canImport

public boolean canImport(TransferHandler.TransferSupport support)

Overrides:
  `canImport` in class `TransferHandler`

### importData

public boolean importData(TransferHandler.TransferSupport support)

Overrides:
  `importData` in class `TransferHandler`